{
  "openapi" : "3.0.2",
  "info" : {
    "title" : "Trade Finance Undertaking API",
    "description" : "Manage all processes involved in the life cycle of a Trade Finance Undertaking application between corporate and banks :\n            \n`The API supports following functionalities:`\n* Request for application :  Sent by the party requesting issuance of the undertaking (applicant or obligor) to the party issuing the undertaking (demand guarantee or standby letter of credit or dependent undertaking or counter-guarantee or counter-standby) and provides details on the applicable rules, terms, conditions and content of the undertaking to be issued.\n* Amendment of an already issued undertaking (reduction, release, extend, cancellation or termination)\n* Demand for payment or extension of undertaking expiry date\n\n`Error Responses`\n\nThe API uses common HTTP status codes in the response header to indicate success or failure. Specific error code and description will be returned in the custom error schema.\n\n`Query Parameters`\n\nEach URL query parameter specifies an API query parameter that must be URL encoded.\n",
    "contact" : {
      "name" : "Developer Hub",
      "url" : "https://developer.swift.com",
      "email" : "developer-support@swift.com"
    },
    "license" : {
      "name" : "Community API Redistribution License",
      "url" : "https://www.swift.com/swift-resource/251146/download"
    },
    "version" : "0.0.6"
  },
  "servers" : [ {
    "description" : "URL for Sandbox Environment.",
    "url" : "https://sandbox.swift.com/swift-trade-finance-undertakings/v1"
  }, {
    "description" : "URL for Pilot.",
    "url" : "https://api-test.swiftnet.sipn.swift.com/swift-trade-finance-undertakings/v1"
  }, {
    "description" : "URL for Live.",
    "url" : "https://api.swiftnet.sipn.swift.com/swift-trade-finance-undertakings/v1"
  } ],
  "security" : [ {
    "oauthBearerToken" : [ ]
  }, {
    "oAuth2" : [ ]
  } ],
  "tags" : [ {
    "name" : "Trade Finance Undertaking",
    "description" : "API endpoints supporting demand guarantees application process."
  }, {
    "name" : "Trade Finance Undertaking Report",
    "description" : "API endpoints supporting demand guarantees reporting."
  } ],
  "paths" : {
    "/trade-finance-undertakings" : {
      "post" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Create Trade Finance Undertaking.",
        "description" : "Application for issuance of Trade Finance Undertaking. The request is sent by a corporate (Applicant) to its bank for bank review or as a final draft to issue a guarantee.",
        "operationId" : "createBankGuarantee",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/TradeFinanceInstruction"
              },
              "examples" : {
                "CreateBankGuaranteeEx-1" : {
                  "$ref" : "#/components/examples/CreateBankGuaranteeEx-1"
                },
                "CreateBankGuaranteeEx-2" : {
                  "$ref" : "#/components/examples/CreateBankGuaranteeEx-2"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/TradeFinanceInstructionReference"
                },
                "example" : {
                  "application_reference" : "3fa85f64-5717-4562-b3fc-2c963f66afa6"
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      },
      "get" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Get Trade Finance Undertaking.",
        "description" : "Request details of all available Trade Finance Undertaking applications or issued Trade Finance Undertaking, including any amendments, demands, release, extensions.\n\nThe endpoint will return an empty array when no resource is found.\n\n**Specifying Request Filter**\n\nParameters are specified in the form name=value. A parameter list is appended to a URI after a \"?\". Multiple parameters are separated by \"&\".\n\n`Note that in this example, the query parameters are not URL encoded for readability.`\n\n**Use of specific filter**\n\nhttps://api.swiftnet.sipn.swift.com/swift-trade-finance-undertakings/v1/trade-finance-undertakings?undertaking-identification=BGREQ30122022-01\n\n**Use of logical operator AND (application-from-date and application-to-date)**\n\n https://api.swiftnet.sipn.swift.com/swift-trade-finance-undertakings/v1/trade-finance-undertakings?application-from-date=2023-05-22&application-to-date=2023-05-23\n",
        "operationId" : "getBankGuarantees",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/applicant-issuance-request-identification"
        }, {
          "$ref" : "#/components/parameters/undertaking-identification"
        }, {
          "$ref" : "#/components/parameters/application-date"
        }, {
          "$ref" : "#/components/parameters/application-from-date"
        }, {
          "$ref" : "#/components/parameters/application-to-date"
        }, {
          "$ref" : "#/components/parameters/issuance-date"
        }, {
          "$ref" : "#/components/parameters/application-lifecycle-status"
        }, {
          "$ref" : "#/components/parameters/pagination-offset"
        }, {
          "$ref" : "#/components/parameters/pagination-limit"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object",
                  "additionalProperties" : false,
                  "properties" : {
                    "trade_finance_instruction" : {
                      "type" : "array",
                      "items" : {
                        "$ref" : "#/components/schemas/TradeFinanceInstruction"
                      }
                    },
                    "links" : {
                      "type" : "array",
                      "items" : {
                        "$ref" : "#/components/schemas/Link"
                      }
                    }
                  }
                },
                "examples" : {
                  "GETBankGuaranteeResponseCollectionEx-1" : {
                    "$ref" : "#/components/examples/GETBankGuaranteeResponseCollectionEx-1"
                  },
                  "GETBankGuaranteeResponseCollectionEx-2" : {
                    "$ref" : "#/components/examples/GETBankGuaranteeResponseCollectionEx-2"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "413" : {
            "$ref" : "#/components/responses/414-URITooLong"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/trade-finance-undertakings/{application-reference}" : {
      "get" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Get Trade Finance Undertaking.",
        "description" : "Request details of a specific Trade Finance Undertaking application or issued Trade Finance Undertaking, including any amendments, demands, release, extensions etc.",
        "operationId" : "getBankGuarantee",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              },
              "ETag" : {
                "$ref" : "#/components/headers/ETag"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/TradeFinanceInstruction"
                },
                "examples" : {
                  "GETBankGuaranteeResponseEx-1" : {
                    "$ref" : "#/components/examples/GETBankGuaranteeResponseEx-1"
                  },
                  "GETBankGuaranteeResponseEx-2" : {
                    "$ref" : "#/components/examples/GETBankGuaranteeResponseEx-2"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "413" : {
            "$ref" : "#/components/responses/414-URITooLong"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      },
      "put" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Replace Trade Finance Undertaking.",
        "description" : "Replace all the details of a Trade Finance Undertaking application, before issuance.",
        "operationId" : "replaceBankGuarantee",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/If-Match"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/TradeFinanceInstruction"
              },
              "examples" : {
                "replaceBankGuarantee_success-1" : {
                  "$ref" : "#/components/examples/ReplaceBankGuarantee-1"
                },
                "replaceBankGuarantee_success-2" : {
                  "$ref" : "#/components/examples/ReplaceBankGuarantee-2"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "412" : {
            "$ref" : "#/components/responses/412-PreconditionFailed"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      },
      "patch" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Update Trade Finance Undertaking.",
        "description" : "Post issuance amendments of the Trade Finance Undertaking including any permitted modification to the application such as reduction, release, extend.",
        "operationId" : "modifyBankGuarantee",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/If-Match"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/TradeFinanceInstruction"
              },
              "examples" : {
                "updateBankGuarantee_success-1" : {
                  "$ref" : "#/components/examples/UpdateBankGuarantee-1"
                },
                "updateBankGuarantee_success-2" : {
                  "$ref" : "#/components/examples/UpdateBankGuarantee-2"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "412" : {
            "$ref" : "#/components/responses/412-PreconditionFailed"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/trade-finance-undertakings/{application-reference}/payment-demand" : {
      "post" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Request Payment.",
        "description" : "Demand for payment under Guarantee. The request to pay is sent by the corporate (Beneficiary) to its bank under a specified Guarantee.",
        "operationId" : "createGuaranteePaymentDemand",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/GuaranteePaymentDemand"
              },
              "examples" : {
                "CreateBankGuaranteePaymentDemandEx-1" : {
                  "$ref" : "#/components/examples/CreateBankGuaranteePaymentDemandEx-1"
                },
                "CreateBankGuaranteePaymentDemandEx-2" : {
                  "$ref" : "#/components/examples/CreateBankGuaranteePaymentDemandEx-2"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/trade-finance-undertakings/{application-reference}/payment-demand/{demand-reference}" : {
      "get" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Retrieve demand for payment under Guarantee.",
        "description" : "Retrieve a demand for payment associated to a trade finance undertaking.",
        "operationId" : "fetchDemandSubset",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        }, {
          "$ref" : "#/components/parameters/demand-reference"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              },
              "ETag" : {
                "$ref" : "#/components/headers/ETag"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/GuaranteePaymentDemand"
                },
                "examples" : {
                  "GETBankGuaranteePaymentDemandEx-1" : {
                    "$ref" : "#/components/examples/GETBankGuaranteePaymentDemandEx-1"
                  },
                  "GETBankGuaranteePaymentDemandEx-2" : {
                    "$ref" : "#/components/examples/GETBankGuaranteePaymentDemandEx-2"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "413" : {
            "$ref" : "#/components/responses/414-URITooLong"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/trade-finance-undertakings/{application-reference}/beneficiary-amendment-response" : {
      "post" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Beneficiary response to amendment advice",
        "description" : "Beneficiary sends their response to an amendment advice for a specific undertaking. \nMUST use \n  * `AMNR` - AmendmentResponse - Undertaking Amendment Response for the event_type and,\n  * AmendmentResponseInformation1 within the additional status information of the status field.\n",
        "operationId" : "postBeneficiaryAmendmentResponse",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/BankGuaranteeEventDetails1"
              },
              "examples" : {
                "BeneficiaryAmendmentReplyEx-1" : {
                  "$ref" : "#/components/examples/BeneficiaryAmendmentReplyEx-1"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "412" : {
            "$ref" : "#/components/responses/412-PreconditionFailed"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/trade-finance-undertakings/{application-reference}/extend-or-pay-response" : {
      "post" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Corporate response to extend or pay request advice",
        "description" : "Corporate sends their response to a request to extend or pay for a specific undertaking. \nMUST use \n  * `XTRS` - AmendmentResponse - Undertaking Amendment Response for the event_type and,\n  * DemandResponseInformation2 within the additional status information of the status field.\n",
        "operationId" : "postExtendOrPayResponse",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/BankGuaranteeEventDetails1"
              },
              "examples" : {
                "ExtendOrPayEx-1" : {
                  "$ref" : "#/components/examples/ExtendOrPayEx-1"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "412" : {
            "$ref" : "#/components/responses/412-PreconditionFailed"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/trade-finance-undertakings/{application-reference}/payment-demand/{demand-reference}/demand-refusal" : {
      "post" : {
        "tags" : [ "Trade Finance Undertaking" ],
        "summary" : "Corporate response to refuse a demand for payment",
        "description" : "Corporate sends their response to a request to extend or pay for a specific undertaking. \nMUST use \n  * `DMRS` - DemandResponse - Undertaking Demand Refusal Response for the event_type and,\n  * DemandRefusal2 within the additional status information of the status field.\n",
        "operationId" : "postDemandRefusal",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        }, {
          "$ref" : "#/components/parameters/demand-reference"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/BankGuaranteeEventDetails1"
              },
              "examples" : {
                "DemandRefusalEx-1" : {
                  "$ref" : "#/components/examples/DemandRefusalEx-1"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "412" : {
            "$ref" : "#/components/responses/412-PreconditionFailed"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/trade-finance-undertakings/{application-reference}/audit-trails" : {
      "get" : {
        "tags" : [ "Trade Finance Undertaking Report" ],
        "summary" : "Retrieve a summary of the lifecycle events of a specific undertaking.",
        "description" : "Retrieve a summary of the lifecycle events of a specific undertaking. These are business level events, not technical level.",
        "operationId" : "fetchUndertakingAuditTrailSubset",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/application-reference"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/UndertakingAuditTrail1Subset"
                },
                "examples" : {
                  "GETBankGuaranteeAuditTrailEx-1" : {
                    "$ref" : "#/components/examples/GETBankGuaranteeAuditTrailEx-1"
                  },
                  "GETBankGuaranteeAuditTrailEx-2" : {
                    "$ref" : "#/components/examples/GETBankGuaranteeAuditTrailEx-2"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "413" : {
            "$ref" : "#/components/responses/414-URITooLong"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/trade-finance-undertakings-report" : {
      "get" : {
        "tags" : [ "Trade Finance Undertaking Report" ],
        "summary" : "Generates a overview report of undertakings in scope of the applied search parameters.",
        "description" : "Generates a overview report of undertakings based on the applied search parameters.",
        "operationId" : "fetchUndertakingReportSubset",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/from-undertaking-issuance-date"
        }, {
          "$ref" : "#/components/parameters/to-undertaking-issuance-date"
        }, {
          "$ref" : "#/components/parameters/from-undertaking-expiry-date"
        }, {
          "$ref" : "#/components/parameters/to-undertaking-expiry-date"
        }, {
          "$ref" : "#/components/parameters/from-undertaking-amount"
        }, {
          "$ref" : "#/components/parameters/to-undertaking-amount"
        }, {
          "$ref" : "#/components/parameters/undertaking-amount-currency"
        }, {
          "$ref" : "#/components/parameters/applicant-bic"
        }, {
          "$ref" : "#/components/parameters/applicant-lei"
        }, {
          "$ref" : "#/components/parameters/applicant-name"
        }, {
          "$ref" : "#/components/parameters/beneficiary-bic"
        }, {
          "$ref" : "#/components/parameters/beneficiary-lei"
        }, {
          "$ref" : "#/components/parameters/beneficiary-name"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/UndertakingReport1Subset"
                },
                "examples" : {
                  "GETBankGuaranteeReportEx-1" : {
                    "$ref" : "#/components/examples/GETBankGuaranteeReportEx-1"
                  },
                  "GETBankGuaranteeReportEx-2" : {
                    "$ref" : "#/components/examples/GETBankGuaranteeReportEx-2"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "413" : {
            "$ref" : "#/components/responses/414-URITooLong"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    }
  },
  "components" : {
    "schemas" : {
      "TradeFinanceInstructionReference" : {
        "x-MXComponent" : "UndertakingSubsetApplicationReference",
        "type" : "object",
        "description" : "Details about an Undertaking, from Application to Issuance to Amendment to Termination.",
        "additionalProperties" : false,
        "properties" : {
          "application_reference" : {
            "x-MXComponent" : "UUIDv4Identifier",
            "description" : "Unique technical identification of the Undertaking as defined by the issuer's server. \n\nNote: The applicant does not use this field when first submitting the application, but it should be used when subsequently updating the Undertaking details.\n\nUniversally Unique IDentifier (UUID) version 4, as described in IETC RFC 4122 \"Universally Unique IDentifier (UUID) URN Namespace\".\n",
            "type" : "string",
            "format" : "uuid"
          }
        }
      },
      "AccountIdentification68Choice" : {
        "x-MXComponent" : "AccountIdentification68Choice",
        "type" : "object",
        "description" : "Specifies the unique identification of an account as assigned by the account servicer.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "iban" : {
              "x-MXComponent" : "IBAN2007Identifier",
              "description" : "International Bank Account Number (IBAN) - identifier used internationally by financial institutions to uniquely identify the account of a customer. Further specifications of the format and content of the IBAN can be found in the standard ISO 13616 \"Banking and related financial services - International Bank Account Number (IBAN)\" version 1997-10-01, or later revisions.\n\nThe International Bank Account Number is a code used internationally by financial institutions to uniquely identify the account of a customer at a financial institution as described in the 2007 edition of the ISO 13616 standard \"Banking and related financial services - International Bank Account Number (IBAN)\" and replaced by the more recent edition of the standard.\n",
              "type" : "string",
              "pattern" : "^[A-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}$"
            }
          },
          "required" : [ "iban" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "other" : {
              "x-MXComponent" : "Max34Text",
              "description" : "Unique identification of an account, as assigned by the account servicer, using an identification scheme.\n\nSpecifies a character string with a maximum length of 34 characters.\n",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 34
            }
          },
          "required" : [ "other" ]
        } ]
      },
      "AdditionalStatusInformation1Choice" : {
        "x-MXComponent" : "AdditionalStatusInformation1Choice",
        "type" : "object",
        "description" : "Further details on the status reason.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "amendment_response" : {
              "$ref" : "#/components/schemas/AmendmentResponseInformation1"
            }
          },
          "required" : [ "amendment_response" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "extend_or_pay_response" : {
              "$ref" : "#/components/schemas/DemandResponseInformation2"
            }
          },
          "required" : [ "extend_or_pay_response" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "demand_refusal" : {
              "$ref" : "#/components/schemas/DemandRefusal2"
            }
          }
        } ]
      },
      "AmendmentResponseInformation1" : {
        "x-MXComponent" : "AmendmentResponseInformation1",
        "type" : "object",
        "description" : "Detailed information of the response to an amendment request.",
        "additionalProperties" : false,
        "properties" : {
          "amendment_request_identification" : {
            "x-MXComponent" : "RestrictedFINXMax16Text",
            "description" : "Unique and unambiguous identifier assigned by the applicant to the undertaking amendment request.\n\nMT Mapping: field 21A of MT 798\n\nSpecifies a character string with a maximum length of 16 characters. It has a pattern that disables the use of characters that is not part of the character set X, that is, that is not a-z A-Z / - ? : ( ) . , ‘ + , and disable the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16,
            "pattern" : "^([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]*(/[0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ])?)*)$"
          },
          "amendment_sequence_number" : {
            "x-MXComponent" : "Max3NumericText",
            "description" : "Sequence number assigned by the Applicant to each proposed Amendment of the Undertaking.\n\n\nMT Mapping: field 26E\n\nSpecifies a numeric string with a maximum length of 3 digits.\n",
            "type" : "string",
            "pattern" : "^[0-9]{1,3}$"
          },
          "amendment_request_date" : {
            "x-MXComponent" : "ISODate",
            "description" : "Date of the undertaking amendment request.\n\nMT Mapping: field 13E\n\nA particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
            "type" : "string",
            "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
          },
          "amendment_response" : {
            "x-MXComponent" : "UndertakingStatus2Code",
            "description" : "Response to an Amendment request - filled in by the beneficiary.\n\nMT Mapping: field 23R\n\n\nSpecifies the undertaking amendment status.\n\nCode Name Definition:\n*`ACCP` - Accepted - Accepted.\n*`REJT` - Rejected - Rejected.\n",
            "type" : "string",
            "enum" : [ "ACCP", "REJT" ]
          },
          "amendment_response_date" : {
            "x-MXComponent" : "ISODate",
            "description" : "Date of the Beneficiary's response to the undertaking amendment request- filled in by the beneficiary.\n\nMT Mapping: field 13E of MT 798\n\nA particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
            "type" : "string",
            "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
          },
          "amendment_response_information" : {
            "x-MXComponent" : "Max10000Text",
            "description" : "Information about the beneficiary's response to an Amendment request\nNote: this is provided by the beneficiary.\n\nSpecifies a character string with a maximum length of 10000 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 10000
          }
        },
        "required" : [ "amendment_request_identification", "amendment_sequence_number", "amendment_response" ]
      },
      "Amount1Choice" : {
        "x-MXComponent" : "Amount1Choice",
        "type" : "object",
        "description" : "Choice of amounts.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "increase_amount" : {
              "x-MXComponent" : "ActiveCurrencyAndAmount",
              "description" : "Amount of increase, and currency.\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
              "type" : "object",
              "additionalProperties" : false,
              "properties" : {
                "currency" : {
                  "x-MXComponent" : "ActiveCurrencyCode",
                  "type" : "string",
                  "pattern" : "^[A-Z]{3,3}$"
                },
                "amount" : {
                  "type" : "string",
                  "maxLength" : 19,
                  "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
                }
              },
              "required" : [ "currency", "amount" ]
            }
          },
          "required" : [ "increase_amount" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "decrease_amount" : {
              "x-MXComponent" : "ActiveCurrencyAndAmount",
              "description" : "Amount of decrease, and currency.\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
              "type" : "object",
              "additionalProperties" : false,
              "properties" : {
                "currency" : {
                  "x-MXComponent" : "ActiveCurrencyCode",
                  "type" : "string",
                  "pattern" : "^[A-Z]{3,3}$"
                },
                "amount" : {
                  "type" : "string",
                  "maxLength" : 19,
                  "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
                }
              },
              "required" : [ "currency", "amount" ]
            }
          },
          "required" : [ "decrease_amount" ]
        } ]
      },
      "AutoExtend1Choice" : {
        "x-MXComponent" : "AutoExtend1Choice",
        "type" : "object",
        "description" : "Choice of format for the auto extend period.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "days" : {
              "x-MXComponent" : "Number",
              "description" : "Number of days.\n\nNumber of objects represented as an integer.\n",
              "type" : "string",
              "maxLength" : 19
            }
          },
          "required" : [ "days" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "months" : {
              "x-MXComponent" : "Number",
              "description" : "Number of months.\n\nNumber of objects represented as an integer.\n",
              "type" : "string",
              "maxLength" : 19
            }
          },
          "required" : [ "months" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "years" : {
              "x-MXComponent" : "Number",
              "description" : "Number of years.\n\nNumber of objects represented as an integer.\n",
              "type" : "string",
              "maxLength" : 19
            }
          },
          "required" : [ "years" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date" : {
              "x-MXComponent" : "ISODate",
              "description" : "Auto extension end date.\n\nA particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
              "type" : "string",
              "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
            }
          },
          "required" : [ "date" ]
        } ]
      },
      "BankGuaranteeAmendment2Subset" : {
        "x-MXComponent" : "BankGuaranteeAmendment2Subset",
        "type" : "object",
        "description" : "Details of the bank guarantee amendment.",
        "additionalProperties" : false,
        "properties" : {
          "amendment_request_identification" : {
            "x-MXComponent" : "RestrictedFINXMax16Text",
            "description" : "Unique and unambiguous identifier assigned by the applicant to the Undertaking amendment request.\n\nMT Mapping: field 21A of MT 798\n\nSpecifies a character string with a maximum length of 16 characters. It has a pattern that disables the use of characters that is not part of the character set X, that is, that is not a-z A-Z / - ? : ( ) . , ‘ + , and disable the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16,
            "pattern" : "^([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]*(/[0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ])?)*)$"
          },
          "amendment_platform_reference" : {
            "x-MXComponent" : "UUIDv4Identifier",
            "description" : "Unique technical reference assigned by the platform.\n\n\nUniversally Unique IDentifier (UUID) version 4, as described in IETC RFC 4122 \"Universally Unique IDentifier (UUID) URN Namespace\".\n",
            "type" : "string",
            "pattern" : "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"
          },
          "amendment_sequence_number" : {
            "x-MXComponent" : "Max3NumericText",
            "description" : "Sequence number assigned by the Applicant to each proposed Amendment of the Undertaking.\n\n\nMT Mapping: field 26E\n\nSpecifies a numeric string with a maximum length of 3 digits.\n",
            "type" : "string",
            "pattern" : "^[0-9]{1,3}$"
          },
          "amendment_request_date" : {
            "x-MXComponent" : "ISODate",
            "description" : "Date of the Undertaking amendment request.\n\nMT Mapping: field 13E\n\nA particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
            "type" : "string",
            "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
          },
          "amendment_date" : {
            "x-MXComponent" : "ISODate",
            "description" : "Date on which the amendment is effective.\n\nMT Mapping: field 30\n\nA particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
            "type" : "string",
            "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
          },
          "undertaking_amendment_instruction_purpose" : {
            "x-MXComponent" : "AmendmentPurpose1Code",
            "description" : "Specifies the purpose of this instruction.\n\nMT Mapping: 22A\n\nSpecifies whether the amendment is to be made to issued counter, counter-counter or local undertaking.\n\nCode Name Definition:\n*`ICCA` - AmendmentToIssuedCounterCounterUndertaking - Request issuance of amendment to issued counter counter-undertaking and/or request to issue amendment to counter-undertaking and local undertaking.\n*`ISCA` - AmendmentToIssuedCounterUndertaking - Request issuance of amendment to issued counter-undertaking and/or request to issue amendment to local undertaking.\n*`ISUA` - AmendmentToIssuedUndertaking - Request issuance of amendment to issued undertaking.\n",
            "type" : "string",
            "enum" : [ "ICCA", "ISCA", "ISUA" ]
          },
          "amendment_impact" : {
            "type" : "array",
            "description" : "Proposed amendment(s) to the undertaking in a codified form.\n\nAmendment to a trade finance undertaking in a codified form.\n\nCode Name Definition:\n*`CTHR` - CounterUndertakingOtherAmendments - Any other amendments made to the undertaking.\n*`CUAD` - CounterUndertakingAmountDecrease - Indication of the amount of decrease to the undertaking amount.\n*`CUAI` - CounterUndertakingAmountIncrease - Indication of the amount of increase to the undertaking amount.\n*`CUDX` - CounterUndertakingExpiryDate - Specifies the new date when the undertaking will cease to be available.\n*`CUNB` - CounterUndertakingNewBeneficiary - Requested new beneficiary of the undertaking.\n*`CUTC` - CounterUndertakingTermsAndCondition - Requested new terms and conditions of the undertaking.\n*`CUXC` - CounterUndertakingNewExpiryCondition - Specifies the amended documentary condition that indicates when the undertaking will cease to be available.\n*`LTHR` - LocalUndertakingOtherAmendments - Any other amendments made to the local undertaking.\n*`LUAD` - LocalUndertakingAmountDecrease - Indication of the amount of decrease to the local undertaking amount.\n*`LUAI` - LocalUndertakingAmountIncrease - Indication of the amount of increase to the local undertaking amount.\n*`LUDX` - LocalUndertakingExpiryDate - Specifies the new date when the local undertaking will cease to be available.\n*`LUNB` - LocalUndertakingNewBeneficiary - Requested new beneficiary of the local undertaking.\n*`LUTC` - LocalUndertakingTermsAndCondition - Requested new terms and conditions of the local undertaking.\n*`LUXC` - LocalUndertakingNewExpiryCondition - Specifies the amended documentary condition that indicates when the local undertaking will cease to be available.\n",
            "items" : {
              "x-MXComponent" : "AmendmentImpact1Code",
              "type" : "string",
              "enum" : [ "CTHR", "CUAD", "CUAI", "CUDX", "CUNB", "CUTC", "CUXC", "LTHR", "LUAD", "LUAI", "LUDX", "LUNB", "LUTC", "LUXC" ]
            }
          },
          "undertaking_termination_request" : {
            "x-MXComponent" : "YesNoIndicator",
            "description" : "Specifies that the instrument is requested to be cancelled.\n\nMT Mapping: 23S\n\nIndicates a \"Yes\" or \"No\" type of answer for an element.\n",
            "type" : "boolean"
          },
          "undertaking_increase_decrease_amount" : {
            "description" : "Indication of the amount of increase or decrease to the undertaking amount.\nChoice of amounts.\n\nMT Mapping: field 32B/33B in SeqC\n",
            "$ref" : "#/components/schemas/Amount1Choice"
          },
          "new_undertaking_terms_and_conditions" : {
            "type" : "array",
            "maxItems" : 8,
            "description" : "Specifies changes to the terms and conditions of the Undertaking (excluding information already expressed in other fields or other associated messages).\n\nMT Mapping: field 77U\n\nSpecifies a character string with a maximum length of 9750 characters.\n",
            "items" : {
              "x-MXComponent" : "Max9750Text",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 9750
            }
          },
          "counter_undertaking_increase_decrease_amount" : {
            "description" : "Amount of increase, and currency.\n\nMT Mapping: field 32B/33B in SeqB\n",
            "$ref" : "#/components/schemas/Amount1Choice"
          },
          "new_counter_undertaking_terms_and_condition" : {
            "x-MXComponent" : "Max9750Text",
            "description" : "Specifies changes to the terms and conditions of the local Undertaking (excluding information already expressed in other fields or other associated messages).\n\nMT Mapping: field 77L in SeqC\n\nSpecifies a character string with a maximum length of 9750 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 9750
          },
          "delivery_channel_method" : {
            "x-MXComponent" : "Max4Text",
            "description" : "Method by which the proposed amendment is to be made available.\n\n\"\nCode\"\t\"\nName\"\nCOUR - Courier\nEMAL - Email\nFAXI - Fax\nMESS - Messenger\nOTHR - Other\nPOST - Post\nREGM - RegisteredMail\nSEMA - SecureEmail\nSWFA - SWIFTNetFileAct\nSWIA - SWIFTNetInterAct\nSWMT - SWIFTMT\nSWMX - SWIFTMX\nTELE - Telecommunication\nWEBM - WebUploadDownload\n\n\nMT Mapping: field 24E in sequence B and C\n\nSpecifies a character string with a maximum length of 4 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "deliver_to_party_type" : {
            "x-MXComponent" : "Max4Text",
            "description" : "Type of party to whom the proposed amendment is intended to be delivered.\n\nType of party can be either \n- a code from the list published on ISO20022.org as part of external code sets\nOR\n- if code is different from the ISO code list (mentioned above), then a bilaterally agreed code may be used\n\n\"\nCode\"\t\"\nName\"\nADVP - AdvisingParty\nANYB - AnyBank\nAPPL - Applicant\nBENE - Beneficiary\nCONF - ConfirmationParty\nCUB2 - SecondCounterUndertakingBeneficiary\nCUB3 - ThirdCounterUndertakingBeneficiary\nISSU - Issuer\nOBLG - Obligor\nORDR - OrderingParty\nPRES - PresentingParty\nSADV - SecondAdvisingParty\nSPEC - SpecifiedAddress\n\n\nMT Mapping: field 24G\n\nSpecifies a character string with a maximum length of 4 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "deliver_to_name" : {
            "x-MXComponent" : "RestrictedFINXMax140Text",
            "description" : "Name of party to whom the proposed amendment is intended to be delivered.\n\nMT Mapping: field 24G\n\nSpecifies a character string with a maximum length of 140 characters limited to character set X, that is, a-z A-Z / - ? : ( ) . , ‘ + .\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 140,
            "pattern" : "^[0-9a-zA-Z/\\-\\?:\\(\\)\\.\\n\\r,'\\+ ]{1,140}$"
          },
          "deliver_to_address" : {
            "type" : "array",
            "maxItems" : 3,
            "description" : "Address of party to whom the original undertaking or proposed amendment is intended to be delivered.\n\nMT Mapping: field 24G\n\nSpecifies a character string with a maximum length of 35 characters limited to character set X, that is, a-z A-Z / - ? : ( ) . , ‘ + .\n",
            "items" : {
              "x-MXComponent" : "RestrictedFINXMax35Text",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35,
              "pattern" : "^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ ]{1,35}$"
            }
          },
          "deliver_to_tracking_reference" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Unique tracking reference used by the delivery method, for example courier tracking reference, FileAct reference, etc.\n\nSpecifies a character string with a maximum length of 35 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "additional_deliver_to_details" : {
            "x-MXComponent" : "RestrictedFINMax35Text",
            "description" : "Additional information related to 'Deliver to' information.\n\nUsage Guideline: This field can additionally be used to identify the format and channel when the format and channel code is 'OTHR'. Recommend to structure the information as follows (example):\n\nWhen Format is Other - //OTHR//JPEG \nWhen Channel is Other - //OTHR//HOST\nWhen both Format and Channel is Other - //OTHR//JPEG//OTHR//HOST\n\nSpecifies a character string with a maximum length of 35 characters. It has a pattern ([^/]+/)+([^/]+)|([^/]*) that disables the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35,
            "pattern" : "^([^/]+/)+([^/]+)|([^/]*)$"
          },
          "reduction_release" : {
            "$ref" : "#/components/schemas/ReductionReleaseNotice4Subset"
          },
          "supporting_document" : {
            "type" : "array",
            "description" : "Document related to the undertaking which is already issued and is being amended or released/reduced.\n\n\nMT Mapping: field 23X\n",
            "items" : {
              "$ref" : "#/components/schemas/Document18"
            }
          },
          "additional_information" : {
            "x-MXComponent" : "Max210Text",
            "description" : "Additional information related to the amendment or release/reduction of the undertaking.\n\n\nMT Mapping: field 72Z\n\nSpecifies a character string with a maximum length of 210 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 210
          }
        },
        "required" : [ "amendment_request_identification", "amendment_sequence_number" ]
      },
      "CashAccount208" : {
        "x-MXComponent" : "CashAccount208",
        "type" : "object",
        "description" : "Set of elements used to identify an account.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "$ref" : "#/components/schemas/AccountIdentification68Choice"
          },
          "currency" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Identification of the currency in which the account is held.\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "party" : {
            "type" : "array",
            "maxItems" : 2,
            "description" : "Party can be only Owner or repeated for Owner and Servicer. \n\nOwner is the party that legally owns the account. For example, the Beneficiary.\n\nServicer is the party that services the account: manages the account on behalf of the account owner, that is manages the registration and booking of entries on the account, calculates balances on the account and provides information about the account.\n\nUsage: At least Owner must be present.\n",
            "items" : {
              "$ref" : "#/components/schemas/PartyIdentification277"
            }
          }
        },
        "required" : [ "identification", "party" ]
      },
      "Charge30" : {
        "x-MXComponent" : "Charge30",
        "type" : "object",
        "description" : "Charges applied.",
        "additionalProperties" : false,
        "properties" : {
          "charge_type" : {
            "x-MXComponent" : "Max8Text",
            "description" : "Contains information about the type of charges. One or more of the following codes may be used - \n\nCode - Definition\nAGENT - Agent's Commission\nCOMM - Our Commission\nCORCOM - Our Correspondent's Commission\nDISC - Commercial Discount\nINSUR - Insurance Premium\nPOST - Our Postage\nSTAMP - Stamp Duty\nTELECHAR - Teletransmission Charges\nWAREHOUS - Wharfing and Warehouse\n\nMT Mapping - field 71D\n\nSpecifies a character string with a maximum length of 8 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 8
          },
          "charges_payable_by" : {
            "x-MXComponent" : "Max4Text",
            "description" : "Indicates the party who is responsible for payment of the charges.\n\n\"\nCode\"\t\"\nName\"\nADVP - AdvisingParty\nANYB - AnyBank\nAPPL - Applicant\nBENE - Beneficiary\nCONF - ConfirmationParty\nCUB2 - SecondCounterUndertakingBeneficiary\nCUB3 - ThirdCounterUndertakingBeneficiary\nISSU - Issuer\nOBLG - Obligor\nORDR - OrderingParty\nPRES - PresentingParty\nSADV - SecondAdvisingParty\nSPEC - SpecifiedAddress\n\nIf code is different from the above code list, then a bilaterally agreed code may be used.\n\nMT Mapping: field 71D\n\nSpecifies a character string with a maximum length of 4 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "charges_account" : {
            "description" : "Unique and unambiguous identification for the charges account.\n\nMT Mapping: field 25A of MT 798\n",
            "$ref" : "#/components/schemas/AccountIdentification68Choice"
          },
          "charge_amount" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Contains information about the charge amount associated with the undertaking.\n\nMT Mapping: field 71D\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          }
        }
      },
      "GuaranteePaymentDemand" : {
        "x-MXComponent" : "Demand7Subset",
        "type" : "object",
        "description" : "Details of the demand.",
        "additionalProperties" : false,
        "properties" : {
          "demand_reference" : {
            "x-MXComponent" : "UUIDv4Identifier",
            "description" : "Unique technical identification of the demand, as defined by the beneficiary's server.\n\nUniversally Unique IDentifier (UUID) version 4, as described in IETC RFC 4122 \"Universally Unique IDentifier (UUID) URN Namespace\".\n",
            "type" : "string",
            "readOnly" : true,
            "pattern" : "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"
          },
          "undertaking_identification" : {
            "x-MXComponent" : "RestrictedFINXMax16Text",
            "description" : "Business identification of the Undertaking. Filled in by the bank after issuance of the Undertaking, stays unique throughout the lifecycle of the Undertaking.\n\nMT Mapping: field 20\n\nSpecifies a character string with a maximum length of 16 characters. It has a pattern that disables the use of characters that is not part of the character set X, that is, that is not a-z A-Z / - ? : ( ) . , ‘ + , and disable the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16,
            "pattern" : "^([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]*(/[0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ])?)*)$"
          },
          "demand_identification" : {
            "x-MXComponent" : "RestrictedFINXMax16Text",
            "description" : "Unique and unambiguous identifier assigned by the presenting party to the demand.\n\nMT Mapping: field 20\n\nSpecifies a character string with a maximum length of 16 characters. It has a pattern that disables the use of characters that is not part of the character set X, that is, that is not a-z A-Z / - ? : ( ) . , ‘ + , and disable the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16,
            "pattern" : "^([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]*(/[0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ])?)*)$"
          },
          "demand_platform_reference" : {
            "x-MXComponent" : "UUIDv4Identifier",
            "description" : "Unique technical reference assigned by the platform.\n\n\nUniversally Unique IDentifier (UUID) version 4, as described in IETC RFC 4122 \"Universally Unique IDentifier (UUID) URN Namespace\".\n",
            "type" : "string",
            "pattern" : "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"
          },
          "advising_party_reference_number" : {
            "x-MXComponent" : "RestrictedFINXMax16Text",
            "description" : "Unique and unambiguous identifier assigned by the advising party to the Undertaking.\n\nMT Mapping: field 21\n\nSpecifies a character string with a maximum length of 16 characters. It has a pattern that disables the use of characters that is not part of the character set X, that is, that is not a-z A-Z / - ? : ( ) . , ‘ + , and disable the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16,
            "pattern" : "^([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]*(/[0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ])?)*)$"
          },
          "beneficiary_reference_number" : {
            "x-MXComponent" : "RestrictedFINXMax16Text",
            "description" : "Unique and unambiguous identifier assigned by the beneficiary to the Undertaking.\n\nMT Mapping: field 23\n\nSpecifies a character string with a maximum length of 16 characters. It has a pattern that disables the use of characters that is not part of the character set X, that is, that is not a-z A-Z / - ? : ( ) . , ‘ + , and disable the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16,
            "pattern" : "^([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]*(/[0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ])?)*)$"
          },
          "demand_type" : {
            "x-MXComponent" : "UndertakingDemandType1Code",
            "description" : "Type of demand.\n\nMT Mapping: field 22G\n\nSpecifies the type of demand for payment of a trade undertaking.\n\nCode Name Definition:\n*`PAEX` - PayOrExtend - Pay or extend.\n*`PAYM` - PayOnly - Pay only.\n*`WITH` - DemandWithdrawn - Demand has been withdrawn.\n",
            "type" : "string",
            "enum" : [ "PAEX", "PAYM", "WITH" ]
          },
          "demand_submission_date" : {
            "x-MXComponent" : "ISODate",
            "description" : "Date at which the demand is submitted.\n\nMT Mapping: field 31L\n\nA particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
            "type" : "string",
            "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
          },
          "demand_amount" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Amount and currency of the demand.\n\nMT Mapping: field 32B\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "demand_amount_additional_information" : {
            "x-MXComponent" : "Max780Text",
            "description" : "Additional information concerning the demand amount.\n\nMT Mapping: field 78\n\nSpecifies a character string with a maximum length of 780 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 780
          },
          "party" : {
            "type" : "array",
            "description" : "Parties specified in the undertaking or related to the Undertaking. \nThe type of Party is specified in the first element, Type.\n\nUsage Rule: MANDATORY to include one iteration each of Party for \n1. Beneficiary\n2. Advising/nominated/confirming bank\n3. Applicant \n4. Issuing bank\noptionally for other parties.\n\nMT Mapping: 52a, 59a, 56a, 57a\n",
            "items" : {
              "$ref" : "#/components/schemas/PartyIdentification281"
            }
          },
          "requested_expiry_date" : {
            "x-MXComponent" : "ISODate",
            "description" : "Requested new expiry date as an alternative to payment of the demand.\n\nRule: Requested expiry date must be present when demand type is Pay or Extend.\n\n\nMT Mapping: field 31E\n\nA particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
            "type" : "string",
            "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
          },
          "complete_demand" : {
            "x-MXComponent" : "YesNoIndicator",
            "description" : "Indication as to whether the presentation is complete.\n\nMT Mapping: field 49A\nYes means Complete Demand (COMP), no other documentation to accompany or follow this message.\nNo means Incomplete Demand (INCP), supporting documentation to be presented separately.\n\nIndicates a \"Yes\" or \"No\" type of answer for an element.\n",
            "type" : "boolean"
          },
          "completion_information" : {
            "x-MXComponent" : "Max3250Text",
            "description" : "Information related to an incomplete presentation.\n\nMT Mapping: field 49A\n\nSpecifies a character string with a maximum length of 3250 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 3250
          },
          "presentation_completion_data" : {
            "x-MXComponent" : "Max700Text",
            "description" : "Specifies information about the presentation documentation. If the presentation is incomplete, this must specify how the presentation will be completed.\n\nMT Mapping: field 77\n\nSpecifies a character string with a maximum length of 700characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 700
          },
          "charges_reason" : {
            "x-MXComponent" : "ChargesReasonType1Code",
            "description" : "Specifies the reason for the message.\n\nMT 798: Field 12R (Code).\n\nSpecifies the reason for the message.\n\nCode Name Definition:\n*`BOTH` - AdviceOfPaymentAndCommission - Advice of Payment and Commission and Charges.\n*`CHGS` - AdviceOfCommissionAndCharges - Advice of Commission and charges.\n*`PAYM` - AdviceOfPayment - Payment Advice.\n",
            "type" : "string",
            "enum" : [ "BOTH", "CHGS", "PAYM" ]
          },
          "charge_information" : {
            "x-MXComponent" : "RestrictedFINXMax35Text",
            "description" : "Information about whether the advice is for payment or commission or both.\n\nMT 798: Field 12R (Narrative).\n\nSpecifies a character string with a maximum length of 35 characters limited to character set X, that is, a-z A-Z / - ? : ( ) . , ‘ + .\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35,
            "pattern" : "^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ ]{1,35}$"
          },
          "details_of_commission_and_charges" : {
            "x-MXComponent" : "Max4Text",
            "description" : "Specifies the details of the commissions and charges in a coded form.\n\nCODES:\nACGH = AUTOMATIC BOOKING OF CHARGES.\nPeriodical commission/charges, per quarter, or per month, etc.\nAMND = AMENDMENT CHARGES\nATER = ADJUSTMENT OF TERMS CHARGES\nAdjustment of commission rate (increase), adjustment of commission period, etc.\nCLOS = CLOSURE CHARGES. Special charges for cancelling the guarantee\nCORR = CORRECTION CHARGES. Adjustment of charges having been debited for wrong amount or even charge not applicable. May only be positive.\nINTC = INTEREST CHARGES \nISSU = ISSUANCE CHARGES\nOTHR = MISCELLANEOUS/OTHER CHARGES.\nManual booking of charges, etc. \nPOST = Postal charges\nREDN = REDUCTION CHARGES.\nCharges/commission related to reduction based on a reduction clause\nRELS = RELEASE CHARGES. cancel before expiry / open ended UNDK (liability release from beneficiary) - commission in arrears\nSTAMP = Stamp duty \nTAXES = Taxes\nTELECHAR = Telecommunication\n\n\nSpecifies a character string with a maximum length of 4 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "charges_by" : {
            "x-MXComponent" : "Max4Text",
            "description" : "Information about whether charged by the bank sending the message or charged by another bank than the bank sending the message.\n\nCodes:\n\nBANK = charged by the bank sending the message.\nOTHR = charged by another bank than the bank sending the message.\n\nSpecifies a character string with a maximum length of 4 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "settlement_account" : {
            "type" : "array",
            "description" : "Details related to the settlement account.\n\nMT Mapping: field 53C\n",
            "items" : {
              "$ref" : "#/components/schemas/CashAccount208"
            }
          },
          "own_commission_and_charges" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Currency and amount of the own commission and charges, without any Guarantee / Standby LC commission.\n\nMT 798: Field 34M\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "counterparty_commission_and_charges" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Currency and amount of the counterparty commission and charges.\n\nMT 798: Field 34K\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "amount_claimed" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Currency and amount of the amount claimed.\n\nRULE: Must be present if Chares Reason is PAYM or BOTH.\n\nMT 798: Field 34D\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "undertaking_commission_specification" : {
            "x-MXComponent" : "UndertakingCommissionSpecification1Code",
            "description" : "Specifies the amount of the Guarantee / Standby LC commission, if applicable.\n\nMT 798: Field 12S\n\nSpecifies the amount of the Guarantee / Standby LC commission.\n\nCode Name Definition:\n*`FLAT` - FlatAmount - Flat amount.\n*`MAXI` - MaximumAmount - Maximum Amount\n*`MINI` - MinimumAmount - Minimum Amount\n",
            "type" : "string",
            "enum" : [ "FLAT", "MAXI", "MINI" ]
          },
          "exchange_rate" : {
            "x-MXComponent" : "BaseOneRate",
            "description" : "Specifies the exchange rate used to convert a foreign currency.\n\nRate expressed as a decimal, for example, 0.7 is 7/10 and 70%.\n",
            "type" : "string",
            "maxLength" : 12
          },
          "local_currency_countervalue" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Specifies the countervalue of the converted foreign currency in local currency.\n\nMT 798: Field 34X\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "total_amount_to_settlement_account" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Currency and total amount that is debited or credited to the settlement account.\n\nMT 798: 34V\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "value_date" : {
            "x-MXComponent" : "ISODate",
            "description" : "Specifies the value date.\n\nMT 798: Field 30\n\nA particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
            "type" : "string",
            "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
          },
          "debit_undertaking_commission" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Currency and amount of the Guarantee / Standby LC commission which will be debited.\n\nMT 798: Field 34S\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "total_amount_claimed" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "description" : "Indicates currency and total amount claimed. Total amount is calculated from amount of the counterparty commission and charges plus the amount claimed.\n\nMT 798: Field 34L\n\nA number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.\n",
            "type" : "object",
            "additionalProperties" : false,
            "properties" : {
              "currency" : {
                "x-MXComponent" : "ActiveCurrencyCode",
                "type" : "string",
                "pattern" : "^[A-Z]{3,3}$"
              },
              "amount" : {
                "type" : "string",
                "maxLength" : 19,
                "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
              }
            },
            "required" : [ "currency", "amount" ]
          },
          "extend_or_pay_text" : {
            "x-MXComponent" : "Max3250Text",
            "description" : "Contains the text of the request to extend or pay.\n\nMT Mapping: field 49J of MT 798\n\nSpecifies a character string with a maximum length of 3250 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 3250
          },
          "instructions_from_bank" : {
            "x-MXComponent" : "Max210Text",
            "description" : "Instructions received from bank.\n\nMT Mapping: field 72Z\n\nSpecifies a character string with a maximum length of 210 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 210
          },
          "documentation" : {
            "type" : "array",
            "description" : "Document(s) presented for examination.\n\nMT Mapping: field 23X\n",
            "items" : {
              "$ref" : "#/components/schemas/Document18"
            }
          }
        },
        "required" : [ "demand_reference", "demand_identification", "demand_type", "demand_submission_date", "demand_amount", "party", "complete_demand" ]
      },
      "DemandRefusal2" : {
        "x-MXComponent" : "DemandRefusal2",
        "type" : "object",
        "description" : "Information about the refusal of a demand.",
        "additionalProperties" : false,
        "properties" : {
          "demand_identification" : {
            "x-MXComponent" : "RestrictedFINXMax16Text",
            "description" : "Unique and unambiguous identifier assigned by the presenting party to the demand.\n\nMT Mapping: field 20\n\nSpecifies a character string with a maximum length of 16 characters. It has a pattern that disables the use of characters that is not part of the character set X, that is, that is not a-z A-Z / - ? : ( ) . , ‘ + , and disable the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16,
            "pattern" : "^([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]*(/[0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ])?)*)$"
          },
          "status" : {
            "x-MXComponent" : "Exact7Text",
            "description" : "Explicit indication of 'REFUSED' as the processing status reported by the issuer.\n\nSpecifies a character string with an exact length of 7 characters.\n",
            "type" : "string",
            "minLength" : 7,
            "maxLength" : 7
          },
          "reason" : {
            "type" : "array",
            "description" : "Reason for refusal.\n\nMT Mapping: field 77J\n\nSpecifies a character string with a maximum length of 3500 characters.\n",
            "items" : {
              "x-MXComponent" : "Max3500Text",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 3500
            }
          },
          "disposition_of_documents" : {
            "x-MXComponent" : "Max105Text",
            "description" : "Indication of how the demand presentation documents will be handled as a consequence of the demand refusal.\n\nMT Mapping: field 77B\n\nSpecifies a character string with a maximum length of 105 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 105
          },
          "additional_information" : {
            "x-MXComponent" : "Max210Text",
            "description" : "Additional information related to the notification.\n\nMT Mapping: field 72Z\n\nSpecifies a character string with a maximum length of 210 characters.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 210
          }
        },
        "required" : [ "demand_identification", "status" ]
      },
      "DemandResponseInformation2" : {
        "x-MXComponent" : "DemandResponseInformation2",
        "type" : "object",
        "description" : "Detailed information of the response to a demand.",
        "additionalProperties" : false,
        "properties" : {
          "demand_identification" : {
            "x-MXComponent" : "RestrictedFINXMax16Text",
            "description" : "Unique and unambiguous identifier assigned by the presenting party to the demand.\n\nMT Mapping: field 20\n\nSpecifies a character string with a maximum length of 16 characters. It has a pattern that disables the use of characters that is not part of the character set X, that is, that is not a-z A-Z / - ? : ( ) . , ‘ + , and disable the use of slash \"/\" at the beginning and end of line and double slash \"//\" within the line.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16,
            "pattern" : "^([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]([0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ]*(/[0-9a-zA-Z\\-\\?:\\(\\)\\.,'\\+ ])?)*)$"
          },
          "extend_or_pay_status_response" : {
            "x-MXComponent" : "DemandStatus1Code",
            "description" : "Filled in by the party that requested issuance of the undertaking (applicant or obligor) to the party that issued the undertaking, in response to the issuer's request for the applicant's response to the beneficiary’s request to extend or pay.\n\n\nMT Mapping: field 12D\n\nSpecifies the status of the demand for payment.\n\nCode Name Definition:\n*`EXTD` - Extend - Extend undertaking expiry date.\n*`PAYD` - PAY - Pay undertaking demand.\n",
            "type" : "string",
            "enum" : [ "EXTD", "PAYD" ]
          }
        },
        "required" : [ "demand_identification" ]
      },
      "Document13Subset" : {
        "x-MXComponent" : "Document13Subset",
        "type" : "object",
        "description" : "Information about a document.",
        "additionalProperties" : false,
        "properties" : {
          "wording" : {
[...]
